Subject: [apps-discuss] FW: New Version Notification for draft-greevenbosch-appsawg-cbor-cddl-01.txt

From: Bert Greevenbosch <[email-masked]>
Date: Sat, 15 Feb 2014 01:15:56 +0000

Hello all,

I have updated the CBOR data description language (CDDL) draft.

http://www.ietf.org/internet-drafts/draft-greevenbosch-appsawg-cbor-cddl-01.txt

The changes are as follows:

   o  Removed the constants mechanism
   o  Updated the tag mechanism
   o  Extended the map structure
   o  Added examples

The map structure now allows constructs as follows:

                   PersonalData: map( tstr ) {
                     "displayName": tstr;
                     "age": uint;
                   }

As for the tag mechanism, I removed the dependency on the now removed constants mechanism, but added pre-defined datatypes for common tags, such as bignum and URI. So a bignum N can now be declared as follows:

                   N: bignum;

I hope with these changes, the language/notational convention becomes more straightforward and less complex.

Comments will be appreciated!

Best regards,
Bert

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: 14 February 2014 17:06
To: Bert Greevenbosch; Bert Greevenbosch
Subject: New Version Notification for draft-greevenbosch-appsawg-cbor-cddl-01.txt

A new version of I-D, draft-greevenbosch-appsawg-cbor-cddl-01.txt
has been successfully submitted by Bert Greevenbosch and posted to the
IETF repository.

Name:		draft-greevenbosch-appsawg-cbor-cddl
Revision:	01
Title:		CBOR data definition language: a notational convention to express CBOR data structures.
Document date:	2014-02-14
Group:		Individual Submission
Pages:		15
URL:            http://www.ietf.org/internet-drafts/draft-greevenbosch-appsawg-cbor-cddl-01.txt
Status:         https://datatracker.ietf.org/doc/draft-greevenbosch-appsawg-cbor-cddl/
Htmlized:       http://tools.ietf.org/html/draft-greevenbosch-appsawg-cbor-cddl-01
Diff:           http://www.ietf.org/rfcdiff?url2=draft-greevenbosch-appsawg-cbor-cddl-01

Abstract:
   This document proposes a notational convention to express CBOR data
   structures.  Its main goal is to make it easy to express message
   structures for protocols that use CBOR.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat